//
//  ServiceHttpCmd.m
//  MobilePortal
//
//  Created by xiejiangbo on 2019/3/20.
//  Copyright © 2019 yin chen. All rights reserved.
//

#import "ServiceHttpCmd.h"
#import "ServiceHttpResult.h"
static NSString *kActionUrl1 = @"/enterprise/activity/queryReleasedAll";
@implementation ServiceHttpCmd
-(instancetype)initWithVersion:(NSString *)version{
    if ([version isEqualToString:PHttpVersion_v1]) {
        return [[ServiceHttpCmd alloc]initWithAuthorizationState:AuthorizationNull];
    }else{
        NSAssert(NO, @"Invalid version");
    }
    return nil;
}

- (instancetype)initWithAuthorizationState:(AuthorizationState)state{
    self = [super initWithAuthorizationState:state];
    if (self != nil) {
        self.result = [[ServiceHttpResult alloc]init];
    }
    return self;
}

- (NSString *)getActionUrl{
    
    return kActionUrl1;
}
@end
NSString *const kHttpServiceHttpCmd_orderby = @"orderby";
NSString *const kHttpServiceHttpCmd_pageNum = @"pageNum";
NSString *const kHttpServiceHttpCmd_pageSize = @"pageSize";
NSString *const kHttpServiceHttpCmd_sort = @"sort";
NSString *const kHttpServiceHttpCmd_filters = @"filters";
NSString *const kHttpServiceHttpCmd_value = @"value";
NSString *const kHttpServiceHttpCmd_attr = @"attr";
NSString *const kHttpServiceHttpCmd_empid = @"empid";
